KWIN_GET_GC_X(3)

FUNCTION
kwin_get_gc_x - Get Graphics Context for an X-based pixel canavas.

SYNOPSIS
#include <karma_kwin.h>

GC kwin_get_gc_x

(KPixCanvas canvas)

DESCRIPTION
This routine will get the Graphics Context used when drawing into the pixel canvas. If the Graphics Context is modified, it should be registered prior to drawing on the canvas by calling <-kwin_set_gc_x->.

canvas
    The canvas.

RETURN VALUE
The Graphics Context.

Multi-threading Level
Unsafe.

NOTE
This routine is only available with the X window system.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/